Skip to main content
Version: Version 1.0

Get topics

The get topics endpoint identifies the most important keywords or phrases in a conversation, providing an understanding of the main themes discussed. This endpoint is useful for understanding the context and structure of a conversation.

For example, in a conversation about a new marketing campaign, the topics could be "social media strategy", "budget allocation", "target audience", and "campaign launch date".

Before we start​

Transcripts must be generated upon request. If you have already generated a transcript, you can use the recordingId to get the topics.

How to use​

You can use the following cURL to obtain a response on the endpoint:

curl --location --request GET https://api.superviz.com/recordings/transcripts/{recordingId}/topics \
--header 'Content-Type: application/json' \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}" \
--header "passphrase: ${YOUR PASSPHRASE}"

HTTP Request​

GET https://api.superviz.com/recordings/transcripts/{recordingId}/topics
NameDescription
recordingIdThis field contains the unique identification of the recording, which can be found with the GET Recordings endpoint.

Headers​

When using this endpoint, you need to provide the Authorization Bearer token and the passphrase. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.
passphraseRequired. The passphrase of your organization that allows the decryption of the transcript content. You can create a new passphrase under our Dashboard > Developer > Keys.

Response​

Status code 200 will indicate that the request was successful. The response will be a list of objects in JSON format and include the following fields:

NameTypeDescription
textstringThis field contains one of the topics that had been spoken.
scorenumberThis field contains the score of the topic.

Example:

[
{
"text": "community level",
"score": 0.97
},
{
"text": "religions",
"score": 0.35
},
...
]